Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235276 - avc denial for NetworkManager
Summary: avc denial for NetworkManager
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 19:33 UTC by Jan-Frode Myklebust
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 03:18:59 UTC


Attachments (Terms of Use)

Description Jan-Frode Myklebust 2007-04-04 19:33:24 UTC
Description of problem:

I'm getting an AVC denial for network manager v0.6.5. Maybe the targeted SElinux
policy needs a small update.


type=AVC msg=audit(1175713729.537:19): avc:  denied  { setpgid } for  pid=3270
comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:system_r:NetworkManager_t:s0 tclass=process
type=SYSCALL msg=audit(1175713729.537:19): arch=40000003 syscall=57 success=yes
exit=0 a0=cc6 a1=cc6 a2=19e768 a3=0 items=0 ppid=3269 pid=3270 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="NetworkManager" exe="/usr/sbin/NetworkManager"
subj=system_u:system_r:NetworkManager_t:s0 key=(null)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jan-Frode Myklebust 2007-04-04 23:25:43 UTC
Ooops, just noticed that the Networkmanager is a bit newer than what's released
in RHEL5. We're obviously a bit bleeding edge here internally at IBM..


So maybe not fair to report it to Red Hat..

Comment 2 Christopher Aillon 2007-04-05 03:18:59 UTC
Ah, maybe not.  Next time include your version numbers when you report a bug :-)


Note You need to log in before you can comment on or make changes to this bug.